gtk-sharp 2.12.0.0 Gtk.Dialog Unix print dialog. This class implements a Print dialog for platforms which don't provide a native printing dialog.
- Constructor
  2.12.0.0
  System.Obsolete
  Native type value.
  Obsolete Protected Constructor.
  Do not use. Replaced by which registers native types automatically. Subclasses should chain to the IntPtr constructor passing and call CreateNativeObject instead of using this constructor. This constructor is provided for backward compatibility if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Native object pointer.
  Internal constructor
  This is not typically used by C# code. Exposed primarily for use by language bindings to wrap native object instances.
- Constructor
  2.12.0.0
  Window title.
  Transient parent window.
  Public constructor.
- Method
  2.12.0.0
  System.Void `` `` The child widget. The tab label text. Adds a custom tab to the dialog.
- Property
  2.12.0.0
  GLib.Property("current-page")
  System.Int32 CurrentPage tab index. An integer index of the selected tab.
- Property
  2.12.0.0
  GLib.GType GType Property. Native value. Returns the native value for .
- Property
  2.12.0.0
  Gtk.PrintCapabilities Manual capabilities supported. A set of supported by the application. Allows configuration of the supported printing capabilities for an application.
- Property
  2.12.0.0
  GLib.Property("page-setup")
  Gtk.PageSetup PageSetup property. The specified .
- Property
  2.12.0.0
  GLib.Property("print-settings")
  Gtk.PrintSettings PrintSettings property. Same as .
- Property
  2.12.0.0
  GLib.Property("selected-printer")
  Gtk.Printer Selected printer property. The selected .
- Property
  2.12.0.0
  Gtk.PrintSettings Settings property. The specified .